# QHostInfo Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QHostInfo(QHostInfo d)
- void QHostInfo(int lookupId)

### Constructor Properties

- prototype: The QHostInfo prototype object
- void abortHostLookup(int lookupId)
- QHostInfo fromName(String name)
- String localDomainName()
- String localHostName()
- int lookupHost(String name, QObject receiver, char member)
- NoError
- HostNotFound
- UnknownError
- HostInfoError( value )

### Prototype Object Properties

- List addresses()
- HostInfoError error()
- String errorString()
- String hostName()
- int lookupId()
- void setAddresses(List addresses)
- void setError(HostInfoError error)
- void setErrorString(String errorString)
- void setHostName(String name)
- void setLookupId(int id)

### Instance Properties

QHostInfo objects have no special properties beyond those inherited from the QHostInfo prototype object.